elemeneUI中使用联级选择器报错

菜鸟
  • 73

问题描述

我使用联级选择器,刷新刚上来的时候就报这个错误,为什么呢?大神们看看吧

问题出现的环境背景及自己尝试过哪些方法

clipboard.png

相关代码

// 请把代码文本粘贴到下方(请勿用图片代替代码)

你期待的结果是什么?实际看到的错误信息又是什么?

回复
阅读 1.2k
3 个回答

错误这不写的很明白么,级联选择器内部value想要一个Array,而你传了一个String。
看下el-cascader组件上v-model绑定的值是不是写的String

虽然没看到你的代码如何写的,但是控制台打印的错误信息已经很明显了啊,就是你给的值类型不对,应该是数组而不是字符串

可能是你初始化的时候给了空字符串哦

宣传栏